Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1192861 - e2fsck seg faults on 6TB HDD
Summary: e2fsck seg faults on 6TB HDD
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: e2fsprogs
Version: 21
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Eric Sandeen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-16 00:00 UTC by George R. Goffe
Modified: 2015-03-04 10:23 UTC (History)
4 users (show)

Fixed In Version: e2fsprogs-1.42.12-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-21 04:24:30 UTC
Type: Bug


Attachments (Terms of Use)

Description George R. Goffe 2015-02-16 00:00:57 UTC
Description of problem:

Right after a reboot, I attempted to run e2fsck on a 6TB disk. e2fsck seg faulted. Additionally, it seems that devfs is not always picking up partitions on non-boot drives.

Version-Release number of selected component (if applicable):

1.42.12

How reproducible:

Always

Steps to Reproduce:
1.e2fsck /dev/sdc1
2.
3.

Actual results:

segfault

Expected results:

proper execution

Additional info:

e2fsck /dev/sdc1
e2fsck 1.42.12 (29-Aug-2014)
/dev/sdc1: clean, 41954804/183144448 files, 1388934908/1465130385 blocks
Signal (11) SIGSEGV si_code=SI_KERNEL fault addr=(nil)
e2fsck[0x427ed2]
/usr/lib64/libc.so.6[0x3852c34950]
/usr/lib64/libext2fs.so.2(ext2fs_free_dblist+0x1d)[0x3f9c01cbfd]
e2fsck(e2fsck_reset_context+0x104)[0x40dd44]
e2fsck(e2fsck_free_context+0x26)[0x40dfd6]
e2fsck(main+0x237f)[0x40b9cf]
/usr/lib64/libc.so.6(__libc_start_main+0xf0)[0x3852c1ffe0]
e2fsck[0x40be8e]

Comment 1 George R. Goffe 2015-02-16 00:05:29 UTC
Additionally, "yum downgrade e2fsprogs" produces:

yum downgrade e2fsprogs
Loaded plugins: etckeeper, langpacks
rpmfusion-free-updates                                                                                                      | 2.7 kB  00:00:00     
rpmfusion-nonfree-updates                                                                                                   | 2.7 kB  00:00:00     
updates/21/x86_64/metalink                                                                                                  |  14 kB  00:00:00     
updates                                                                                                                     | 4.9 kB  00:00:00     
updates/21/x86_64/primary_db                                                                                                | 5.0 MB  00:00:14     
(1/2): updates/21/x86_64/updateinfo                                                                                         | 597 kB  00:00:01     
(2/2): updates/21/x86_64/pkgtags                                                                                            | 1.3 MB  00:00:01     
Resolving Dependencies
--> Running transaction check
---> Package e2fsprogs.x86_64 0:1.42.11-4.fc21 will be a downgrade
--> Processing Dependency: libss = 1.42.11-4.fc21 for package: e2fsprogs-1.42.11-4.fc21.x86_64
--> Processing Dependency: libcom_err(x86-64) = 1.42.11-4.fc21 for package: e2fsprogs-1.42.11-4.fc21.x86_64
--> Processing Dependency: e2fsprogs-libs(x86-64) = 1.42.11-4.fc21 for package: e2fsprogs-1.42.11-4.fc21.x86_64
---> Package e2fsprogs.x86_64 0:1.42.12-1.fc21 will be erased
--> Running transaction check
---> Package e2fsprogs.x86_64 0:1.42.11-4.fc21 will be a downgrade
--> Processing Dependency: libcom_err(x86-64) = 1.42.11-4.fc21 for package: e2fsprogs-1.42.11-4.fc21.x86_64
--> Processing Dependency: e2fsprogs-libs(x86-64) = 1.42.11-4.fc21 for package: e2fsprogs-1.42.11-4.fc21.x86_64
---> Package libss.i686 0:1.42.11-4.fc21 will be installed
--> Processing Dependency: libcom_err(x86-32) = 1.42.11-4.fc21 for package: libss-1.42.11-4.fc21.i686
--> Finished Dependency Resolution
Error: Package: libss-1.42.11-4.fc21.i686 (fedora)
           Requires: libcom_err(x86-32) = 1.42.11-4.fc21
           Installed: libcom_err-1.42.12-1.fc21.i686 (@updates)
               libcom_err(x86-32) = 1.42.12-1.fc21
           Available: libcom_err-1.42.11-4.fc21.i686 (fedora)
               libcom_err(x86-32) = 1.42.11-4.fc21
Error: Package: e2fsprogs-1.42.11-4.fc21.x86_64 (fedora)
           Requires: libcom_err(x86-64) = 1.42.11-4.fc21
           Installed: libcom_err-1.42.12-1.fc21.x86_64 (@updates)
               libcom_err(x86-64) = 1.42.12-1.fc21
           Available: libcom_err-1.42.11-4.fc21.x86_64 (fedora)
               libcom_err(x86-64) = 1.42.11-4.fc21
Error: Package: e2fsprogs-1.42.11-4.fc21.x86_64 (fedora)
           Requires: e2fsprogs-libs(x86-64) = 1.42.11-4.fc21
           Installed: e2fsprogs-libs-1.42.12-1.fc21.x86_64 (@updates)
               e2fsprogs-libs(x86-64) = 1.42.12-1.fc21
           Available: e2fsprogs-libs-1.42.11-4.fc21.x86_64 (fedora)
               e2fsprogs-libs(x86-64) = 1.42.11-4.fc21
 You could try using --skip-broken to work around the problem
** Found 4 pre-existing rpmdb problem(s), 'yum check' output follows:
beefy-miracle-backgrounds-16.91.0-7.fc21.noarch has missing requires of beefy-miracle-backgrounds-gnome = ('0', '16.91.0', '7.fc21')
drupal6-features_extra-1.0-0.6.dev.fc21.noarch has missing requires of drupal6-ctools >= ('0', '1.8', None)
drupal6-feeds-1.0-0.13.beta13.fc21.noarch has missing requires of drupal6-ctools
drupal6-strongarm-2.2-3.fc21.noarch has missing requires of drupal6-ctools >= ('0', '1.8', None)

Comment 2 Eric Sandeen 2015-02-16 20:36:38 UTC
Please keep separate issues in separate bugs; let's address the segfault issue here.  If you have problems with dependencies or devfs, please file separate bugs for those.

Can you install the debuginfo rpm and gather a core file?

Or gather an e2image -r of the filesystem, (or -q if it's big), and we'll see if we can reproduce using that.

But this is strange, it looks the same as https://bugzilla.redhat.com/show_bug.cgi?id=1164381 which was fixed a while ago; let me see if that's a regression...

Thanks,
-Eric

Comment 3 Eric Sandeen 2015-02-16 20:56:48 UTC
Bah, never mind, I can reproduce it, sigh.

==22407== Invalid read of size 8
==22407==    at 0x411BB3: e2fsck_reset_context (e2fsck.c:87)
==22407==    by 0x411E2D: e2fsck_free_context (e2fsck.c:177)
==22407==    by 0x40E5F5: check_if_skip (unix.c:462)
==22407==    by 0x41037D: main (unix.c:1591)
==22407==  Address 0x4c2ca90 is 144 bytes inside a block of size 296 free'd
==22407==    at 0x4A063F0: free (vg_replace_malloc.c:446)
==22407==    by 0x436253: ext2fs_close2 (closefs.c:494)
==22407==    by 0x4362FD: ext2fs_close_free (closefs.c:447)
==22407==    by 0x40E5ED: check_if_skip (unix.c:461)
==22407==    by 0x41037D: main (unix.c:1591)

Comment 4 Eric Sandeen 2015-02-16 21:15:12 UTC
commit ebdf895b43a1ce499e4d2556a201e2a753fc422f
Author: Theodore Ts'o <tytso@mit.edu>
Date:   Wed Oct 8 11:18:41 2014 -0400

    e2fsck: fix free pointer dereferences
    
    Commit 47fee2ef6a23a introduces some free pointer dereference bugs by
    not clearing ctx->fs after calling ext2fs_close_free().
    
    Reported-by: Matthias Andree <mandree@FreeBSD.org>
    Cc: Lukas Czerner <lczerner@redhat.com>
    Signed-off-by: Theodore Ts'o <tytso@mit.edu>

Comment 5 George R. Goffe 2015-02-17 02:59:07 UTC
Eric,

I installed debuginfo for e2fsprogs and am still getting the segfault but no core file. Is there a way to force a core file? I have ulimit -c set to unlimited.

George...

Comment 6 Eric Sandeen 2015-02-17 05:36:49 UTC
I'm not sure why ulimit -c unlimited wouldn't drop a core.

But I'm 98% sure the commit above fixes it, so no worries if you can't get one.

Comment 7 Fedora Update System 2015-02-17 21:24:33 UTC
e2fsprogs-1.42.12-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/e2fsprogs-1.42.12-2.fc21

Comment 8 Fedora Update System 2015-02-17 21:30:40 UTC
e2fsprogs-1.42.12-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/e2fsprogs-1.42.12-2.fc20

Comment 9 George R. Goffe 2015-02-18 03:30:55 UTC
Eric,

I took the liberty of gathering up the rpms from the link for fc21 above and tried a test install. Here's what I got:

George...

rpm --test -ivh *.rpm
Preparing...                          ################################# [100%]
        file /usr/lib64/libcom_err.so.2.1 from install of libcom_err-1.42.12-2.fc21.x86_64 conflicts with file from package libcom_err-1.42.12-1.fc21.x86_64
        file /usr/lib64/libe2p.so.2.3 from install of e2fsprogs-libs-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-libs-1.42.12-1.fc21.x86_64
        file /usr/lib64/libext2fs.so.2.4 from install of e2fsprogs-libs-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-libs-1.42.12-1.fc21.x86_64
        file /usr/lib64/libss.so.2.0 from install of libss-1.42.12-2.fc21.x86_64 conflicts with file from package libss-1.42.12-1.fc21.x86_64
        file /etc/e2fsck.conf from install of e2fsprogs-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-1.42.12-1.fc21.x86_64
        file /usr/bin/chattr from install of e2fsprogs-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-1.42.12-1.fc21.x86_64
        file /usr/bin/lsattr from install of e2fsprogs-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-1.42.12-1.fc21.x86_64
        file /usr/sbin/badblocks from install of e2fsprogs-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-1.42.12-1.fc21.x86_64
        file /usr/sbin/debugfs from install of e2fsprogs-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-1.42.12-1.fc21.x86_64
        file /usr/sbin/dumpe2fs from install of e2fsprogs-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-1.42.12-1.fc21.x86_64
        file /usr/sbin/e2freefrag from install of e2fsprogs-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-1.42.12-1.fc21.x86_64
        file /usr/sbin/e2fsck from install of e2fsprogs-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-1.42.12-1.fc21.x86_64
        file /usr/sbin/e2image from install of e2fsprogs-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-1.42.12-1.fc21.x86_64
        file /usr/sbin/e2label from install of e2fsprogs-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-1.42.12-1.fc21.x86_64
        file /usr/sbin/e2undo from install of e2fsprogs-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-1.42.12-1.fc21.x86_64
        file /usr/sbin/e4defrag from install of e2fsprogs-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-1.42.12-1.fc21.x86_64
        file /usr/sbin/filefrag from install of e2fsprogs-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-1.42.12-1.fc21.x86_64
        file /usr/sbin/fsck.ext2 from install of e2fsprogs-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-1.42.12-1.fc21.x86_64
        file /usr/sbin/fsck.ext3 from install of e2fsprogs-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-1.42.12-1.fc21.x86_64
        file /usr/sbin/fsck.ext4 from install of e2fsprogs-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-1.42.12-1.fc21.x86_64
        file /usr/sbin/fsck.ext4dev from install of e2fsprogs-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-1.42.12-1.fc21.x86_64
        file /usr/sbin/logsave from install of e2fsprogs-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-1.42.12-1.fc21.x86_64
        file /usr/sbin/mke2fs from install of e2fsprogs-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-1.42.12-1.fc21.x86_64
        file /usr/sbin/mkfs.ext2 from install of e2fsprogs-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-1.42.12-1.fc21.x86_64
        file /usr/sbin/mkfs.ext3 from install of e2fsprogs-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-1.42.12-1.fc21.x86_64
        file /usr/sbin/mkfs.ext4 from install of e2fsprogs-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-1.42.12-1.fc21.x86_64
        file /usr/sbin/mkfs.ext4dev from install of e2fsprogs-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-1.42.12-1.fc21.x86_64
        file /usr/sbin/mklost+found from install of e2fsprogs-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-1.42.12-1.fc21.x86_64
        file /usr/sbin/resize2fs from install of e2fsprogs-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-1.42.12-1.fc21.x86_64
        file /usr/sbin/tune2fs from install of e2fsprogs-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-1.42.12-1.fc21.x86_64
        file /usr/lib64/libcom_err.a from install of e2fsprogs-static-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-static-1.42.12-1.fc21.x86_64
        file /usr/lib64/libe2p.a from install of e2fsprogs-static-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-static-1.42.12-1.fc21.x86_64
        file /usr/lib64/libext2fs.a from install of e2fsprogs-static-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-static-1.42.12-1.fc21.x86_64
        file /usr/lib64/libss.a from install of e2fsprogs-static-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-static-1.42.12-1.fc21.x86_64
        file /usr/lib/debug/usr/bin/chattr.debug from install of e2fsprogs-debuginfo-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-debuginfo-1.42.12-1.fc21.x86_64
        file /usr/lib/debug/usr/bin/lsattr.debug from install of e2fsprogs-debuginfo-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-debuginfo-1.42.12-1.fc21.x86_64
        file /usr/lib/debug/usr/lib64/libcom_err.so.2.1.debug from install of e2fsprogs-debuginfo-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-debuginfo-1.42.12-1.fc21.x86_64
        file /usr/lib/debug/usr/lib64/libe2p.so.2.3.debug from install of e2fsprogs-debuginfo-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-debuginfo-1.42.12-1.fc21.x86_64
        file /usr/lib/debug/usr/lib64/libext2fs.so.2.4.debug from install of e2fsprogs-debuginfo-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-debuginfo-1.42.12-1.fc21.x86_64
        file /usr/lib/debug/usr/lib64/libss.so.2.0.debug from install of e2fsprogs-debuginfo-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-debuginfo-1.42.12-1.fc21.x86_64
        file /usr/lib/debug/usr/sbin/badblocks.debug from install of e2fsprogs-debuginfo-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-debuginfo-1.42.12-1.fc21.x86_64
        file /usr/lib/debug/usr/sbin/debugfs.debug from install of e2fsprogs-debuginfo-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-debuginfo-1.42.12-1.fc21.x86_64
        file /usr/lib/debug/usr/sbin/dumpe2fs.debug from install of e2fsprogs-debuginfo-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-debuginfo-1.42.12-1.fc21.x86_64
        file /usr/lib/debug/usr/sbin/e2freefrag.debug from install of e2fsprogs-debuginfo-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-debuginfo-1.42.12-1.fc21.x86_64
        file /usr/lib/debug/usr/sbin/e2fsck.debug from install of e2fsprogs-debuginfo-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-debuginfo-1.42.12-1.fc21.x86_64
        file /usr/lib/debug/usr/sbin/e2image.debug from install of e2fsprogs-debuginfo-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-debuginfo-1.42.12-1.fc21.x86_64
        file /usr/lib/debug/usr/sbin/e2label.debug from install of e2fsprogs-debuginfo-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-debuginfo-1.42.12-1.fc21.x86_64
        file /usr/lib/debug/usr/sbin/e2undo.debug from install of e2fsprogs-debuginfo-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-debuginfo-1.42.12-1.fc21.x86_64
        file /usr/lib/debug/usr/sbin/e4defrag.debug from install of e2fsprogs-debuginfo-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-debuginfo-1.42.12-1.fc21.x86_64
        file /usr/lib/debug/usr/sbin/filefrag.debug from install of e2fsprogs-debuginfo-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-debuginfo-1.42.12-1.fc21.x86_64
        file /usr/lib/debug/usr/sbin/fsck.ext2.debug from install of e2fsprogs-debuginfo-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-debuginfo-1.42.12-1.fc21.x86_64
        file /usr/lib/debug/usr/sbin/fsck.ext3.debug from install of e2fsprogs-debuginfo-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-debuginfo-1.42.12-1.fc21.x86_64
        file /usr/lib/debug/usr/sbin/fsck.ext4.debug from install of e2fsprogs-debuginfo-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-debuginfo-1.42.12-1.fc21.x86_64
        file /usr/lib/debug/usr/sbin/fsck.ext4dev.debug from install of e2fsprogs-debuginfo-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-debuginfo-1.42.12-1.fc21.x86_64
        file /usr/lib/debug/usr/sbin/logsave.debug from install of e2fsprogs-debuginfo-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-debuginfo-1.42.12-1.fc21.x86_64
        file /usr/lib/debug/usr/sbin/mke2fs.debug from install of e2fsprogs-debuginfo-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-debuginfo-1.42.12-1.fc21.x86_64
        file /usr/lib/debug/usr/sbin/mkfs.ext2.debug from install of e2fsprogs-debuginfo-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-debuginfo-1.42.12-1.fc21.x86_64
        file /usr/lib/debug/usr/sbin/mkfs.ext3.debug from install of e2fsprogs-debuginfo-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-debuginfo-1.42.12-1.fc21.x86_64
        file /usr/lib/debug/usr/sbin/mkfs.ext4.debug from install of e2fsprogs-debuginfo-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-debuginfo-1.42.12-1.fc21.x86_64
        file /usr/lib/debug/usr/sbin/mkfs.ext4dev.debug from install of e2fsprogs-debuginfo-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-debuginfo-1.42.12-1.fc21.x86_64
        file /usr/lib/debug/usr/sbin/mklost+found.debug from install of e2fsprogs-debuginfo-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-debuginfo-1.42.12-1.fc21.x86_64
        file /usr/lib/debug/usr/sbin/resize2fs.debug from install of e2fsprogs-debuginfo-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-debuginfo-1.42.12-1.fc21.x86_64
        file /usr/lib/debug/usr/sbin/tune2fs.debug from install of e2fsprogs-debuginfo-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-debuginfo-1.42.12-1.fc21.x86_64
        file /usr/src/debug/e2fsprogs-1.42.12/e2fsck/unix.c from install of e2fsprogs-debuginfo-1.42.12-2.fc21.x86_64 conflicts with file from package e2fsprogs-debuginfo-1.42.12-1.fc21.x86_64

Comment 10 Eric Sandeen 2015-02-18 04:34:01 UTC
rpm -Uvh

Comment 11 Fedora Update System 2015-02-19 02:57:30 UTC
Package e2fsprogs-1.42.12-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing e2fsprogs-1.42.12-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2241/e2fsprogs-1.42.12-2.fc21
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2015-02-21 04:24:30 UTC
e2fsprogs-1.42.12-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 George R. Goffe 2015-02-21 08:38:17 UTC
Eric,

I have updated my system and this bug appears to be gone now.

I REALLY appreciate your help and time and patience in solving this but.

Regards,

George...

Comment 14 Fedora Update System 2015-02-24 17:55:53 UTC
e2fsprogs-1.42.12-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/e2fsprogs-1.42.12-3.fc21

Comment 15 Fedora Update System 2015-03-04 10:23:03 UTC
e2fsprogs-1.42.12-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.